PS_OPEN_FILE(3)

NAME
PS_open_file — Opens a file for output

SYNOPSIS

#include <pslib.h>

int PS_open_file(PSDoc *psdoc, const char *filename)

DESCRIPTION

Creates a new file on disk and writes the PostScript document into it. The file will be closed when PS_close(3) is called. If filename is NULL, empty or `-', then the file will be created in memory and retrieved with PS_get_buffer(3).

RETURN VALUE

Returns -1 in case of an error and 0 otherwise.

SEE ALSO

PS_open_fp(3), PS_open_mem(3), PS_close(3), PS_get_buffer(3)

AUTHOR

This manual page was written by Uwe Steinmann uwe@steinmann.cx.